<template>
  <div class='app'>
    <!--周报录入-->
    <div class='part1'>
      <a-button @click='handleReload' style='position: absolute;z-index: 300;right: 40px;top: 45px' type='primary'>
        刷新
      </a-button>

      <weekly-list-compent  :model='model'@onLoadMore='onLoadMore' :loadingMore='loadingMore' @reload='handleReload' :show-load-model='true'/>
    </div>
  </div>

</template>

<script>
import { queryLinkList, queryLinkListWbs, queryProList } from '@api/pro'
import { querySingleThisWeek } from '@api/week'
import { deleteAction, getAction, postAction, putAction } from '@api/manage'
import { getWeek } from '@/utils/util'
import { ajaxGetDictItems } from '@api/api'
import { initDictOptions, filterDictText, filterMultiDictText } from '@/components/dict/JDictSelectUtil'
import WeeklyListCompent from '@views/week/modules/WeeklyListCompent'

export default {
  name: 'RightDepartUserWeekly',
  components: { WeeklyListCompent },
  props: {
    orgCode: {
      type: String,
      default: '',
      required: true
    }
  },
  watch: {
    orgCode: {
      deep: true,
      handler() {
        this.page = 1
        this.model.weekList = []
        this.onLoadMore()
        console.info(this.orgCode)
      }
    }
  },
  data() {
    return {
      loading: false,
      loadingMore: false,
      showLoadingMore: true,
      page:1,
      //填写的周报信息
      model: {
        // weekList: [],
        // weekExtList: [],
        // planList: [],
        // planExtList: [],
        weekList: [
          /* {
             year: '',
             week: '',
             startDateStr: '',
             endDateStr: '',
             typeList: [
               {
                 week: '',
                 type: 1,
                 wekList: []
               },
               {
                 week: '',
                 type: 2,
                 wekList: []
               }, {
                 week: '',
                 type: 3,
                 wekList: []
               }, {
                 week: '',
                 type: 4,
                 wekList: []
               }
             ]

           },
           {
             year: '',
             week: '',
             startDateStr: '',
             endDateStr: '',
             typeList: [
               {
                 week: '',
                 type: 1,
                 wekList: []
               },
               {
                 week: '',
                 type: 2,
                 wekList: []
               }, {
                 week: '',
                 type: 3,
                 wekList: []
               }, {
                 week: '',
                 type: 4,
                 wekList: []
               }
             ]

           }*/
        ]

      },

      url: {
        addBatch: '/wek/record/addBatch',
        edit: '/wek/record/edit',
        delete: '/wek/record/delete'
      },
   }
  },
  created() {
    this.page = 1
    this.onLoadMore()

  },
  methods: {
    onLoadMore() {
      this.loadingMore = true
      getAction('/wek/record/queryDepartUserWeeklyList', { orgCode: this.orgCode ,page:this.page}).then((res) => {
        if (res.success) {

          if (this.page == 1) {
            this.model.weekList = res.result
          } else {
            this.model.weekList = this.model.weekList.concat(res.result)
          }

          this.model.weekLis =   this.model.weekList.map(item=>{

            //a-select不显示placehold处理
              for (let prop in item.wekEvaluate) {
                if (item.wekEvaluate.hasOwnProperty(prop)) {
                  if(item.wekEvaluate[prop] == null){
                    item.wekEvaluate[prop] = undefined
                  }
                }
              }
            return item
          })

          //有数据才添加页码
          if (res.result && res.result.length > 0) {
            this.page++
          } else {
            this.$message.warning('无更多数据')
          }

        } else {
          this.$message.warning(res.message)
        }
        this.loadingMore = false
        this.$nextTick(() => {
          window.dispatchEvent(new Event('resize'))
        })
      })

    },




    /**
     * 提交周报
     */
    handleOk() {
      let that = this
      let form = this.$refs.form
      this.$confirm({
        title: '提示',
        content: h => <div>确定提交本周周报吗？</div>,
        onOk() {



            console.info(that.model)

              //add
              if (!that.model.id) {
                postAction(that.url.addBatch, that.model)
                  .then((res) => {
                    if (res.success) {
                      that.$message.success(res.message)
                      //重新查询周报列表
                      that.onLoadMore()
                    } else {
                      that.$message.warning(res.message)
                    }
                  })
                  .finally(() => {

                  })

                //edit
              } else {
                putAction(that.url.edit, that.model)
                  .then((res) => {
                    that.confirmLoading = false
                    if (res.success) {
                      that.$message.success(res.message)
                    } else {
                      that.$message.warning(res.message)
                    }
                  })
                  .finally(() => {
                    that.confirmLoading = false
                  })
              }



        },
        onCancel() {

        },
        class: 'test'
      })
    },
    handleReload() {
      this.page = 1
      this.onLoadMore()

    },


  },
  computed: {}
}
</script>

<style lang='less' scoped>
.app {
  width: 100%;
  height: 100%;
  background: white;
  min-height: calc(100vh - 140px);


}



</style>